> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usersattribute types

> Gets all User Attributes defined for the account for
the application authentication token. A User Attribute describes additional custom
attributes for a User profile that are not pre-defined attributes within the AgilQuest system.



This operation returns a **User Attribute Type Wrapper** with the following attributes:





## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /users/attribute-types
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /users/attribute-types:
    get:
      tags:
        - UserService
      description: >+
        Gets all User Attributes defined for the account for

        the application authentication token. A User Attribute describes
        additional custom

        attributes for a User profile that are not pre-defined attributes within
        the AgilQuest system.




        This operation returns a **User Attribute Type Wrapper** with the
        following attributes:

      operationId: getUserCustomAttributeTypes
      parameters: []
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    userAttributeTypes:
                      - displayOrder: 12345
                        description: ...
                        sysidUserAttribute: 12345
                        sysidAttributeDataType: 12345
                        iconPropKey: ...
                        name: ...
                        languageTagKey: ...
                      - displayOrder: 12345
                        description: ...
                        sysidUserAttribute: 12345
                        sysidAttributeDataType: 12345
                        iconPropKey: ...
                        name: ...
                        languageTagKey: ...
              schema:
                $ref: '#/components/schemas/UserAttributeTypeWrapper'
          description: >-
            Wrapper of User Attribute values (or
            Response(AgilquestExceptionData) if there are any Agilquest.com
            Exceptions)


            com.agilquest.phoenix.shared.data.rest.wrapper.UserAttributeTypeWrapper
components:
  schemas:
    UserAttributeTypeWrapper:
      type: object
      title: UserAttributeTypeWrapper
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            userAttributeTypes:
              type: array
              items:
                $ref: '#/components/schemas/UserAttribute'
      example:
        userAttributeTypes:
          - displayOrder: 12345
            description: ...
            sysidUserAttribute: 12345
            sysidAttributeDataType: 12345
            iconPropKey: ...
            name: ...
            languageTagKey: ...
          - displayOrder: 12345
            description: ...
            sysidUserAttribute: 12345
            sysidAttributeDataType: 12345
            iconPropKey: ...
            name: ...
            languageTagKey: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    UserAttribute:
      type: object
      title: UserAttribute
      required:
        - sysidAttributeDataType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            displayOrder:
              type: integer
              format: int32
            description:
              type: string
            sysidUserAttribute:
              type: integer
              format: int32
            sysidAttributeDataType:
              type: integer
              format: int32
            iconPropKey:
              type: string
            name:
              type: string
            languageTagKey:
              type: string
      example:
        displayOrder: 12345
        description: ...
        sysidUserAttribute: 12345
        sysidAttributeDataType: 12345
        iconPropKey: ...
        name: ...
        languageTagKey: ...

````